import requests


def get_auth_header(token_id, token_secret):
    return {"Authorization": "Token {}:{}".format(token_id, token_secret)}


def get_page_export_html(page_id, wiki_url, token_id, token_secret):
    headers = {}
    headers.update(get_auth_header(token_id, token_secret))

    r = requests.get(wiki_url + "/api/pages/{}/export/html".format(page_id), headers=headers)

    return r.text
